summaryrefslogtreecommitdiff
path: root/sys-apps/edac-utils/files/edac.init
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2021-08-07 00:16:33 +0100
committerV3n3RiX <venerix@redcorelinux.org>2021-08-07 00:16:33 +0100
commitd162ba1860a88062f4cd61f8b52fc303ba0b2991 (patch)
tree24cd2cf57f3932a24b96e4a0f6666489447e43ba /sys-apps/edac-utils/files/edac.init
parent590b9b7b03bf4651e099949e318755af7cfa81b8 (diff)
gentoo resync : 07.08.2021
Diffstat (limited to 'sys-apps/edac-utils/files/edac.init')
-rw-r--r--sys-apps/edac-utils/files/edac.init16
1 files changed, 16 insertions, 0 deletions
diff --git a/sys-apps/edac-utils/files/edac.init b/sys-apps/edac-utils/files/edac.init
new file mode 100644
index 000000000000..23318b37e10c
--- /dev/null
+++ b/sys-apps/edac-utils/files/edac.init
@@ -0,0 +1,16 @@
+#!/sbin/openrc-run
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+command=/usr/bin/edac-ctl
+
+start() {
+ ebegin "Registering edac-utils labels"
+ /usr/sbin/edac-ctl --register-labels
+ eend $?
+}
+
+stop() {
+ ebegin "Unregistering edac-utils labels"
+ /usr/sbin/edac-ctl --unload
+ eend $?
+}